[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# DelSpace

Delete all occurrences of a space from a string.

## Declaration

Source position: strutils.pp line 134

`function DelSpace(`
`const S: String`
`):String;`

## Arguments

`S` |  | String to delete spaces from.

## Function result

String with all spaces removed.

## Description

DelSpace returns a copy of S with all spaces (ASCII code 32) removed from it.

## Errors

None.

## See also

DelChars |  | Delete all occurrences of a given character from a string.
DelSpace1 |  | Reduces sequences of space characters to 1 space character.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.